<div class="flex flex-col flex-auto min-w-0 py-8 mx-" style="
        background-image: url('../../assets/background.png');
        background-position: top;
        background-size: cover;
        background-repeat: no-repeat;
        height: 300px;
    ">
    <div class="container flex justify-between items-center">
        <div class="flex items-center cursor-pointer" routerLink="/myaccount">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon>
            <span class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
    </div>
    <div class="font-Semibold-40 font-141461 text-center my-12">FAQs</div>
    <div style="background-color: #f8f8f8">
        <div class="mx-6 my-3">
            <div class="relative flex flex-col flex-auto text-center p-6 pr-3 pb-3 font-medium text-2xl">
                <!-- Search Bar-->
                <div class="w-7/12 m-auto">
                    <mat-form-field appearance="outline" class="w-full">
                        <mat-icon matPrefix>search</mat-icon>
                        <input type="search" placeholder="Search" matInput />
                    </mat-form-field>
                </div>
                <!--iFrame Implementaion
        <button (click)="showIFrame()">Show IFrame</button>
          <iframe [src]="iframeSrc" *ngIf="displayIFrame" style="height:80%;width:80%; z-index: 20; position: absolute;"></iframe>-->
                <div class="buttons mb-12">
                    <button mat-stroked-button (click)="selectedTab = 'tab1'" style="
                            border: 1px solid #bfd3ff;
                            border-radius: 0px !important;
                            display: unset !important;
                        " class="mr-8 text-left">



                        <div class="flex items-center justify-between ">
                            <div class="flex items-center">
                                <mat-icon svgIcon="bgdIcon" style="
                                border: 2px solid #62B4FF;
                                border-radius: 15px !important;"></mat-icon>
                                <span class="ml-2.5 font-Semibold-16">About Gold Dinar</span>
                            </div>

                            <mat-icon class="font-0038ff text-right">keyboard_arrow_right</mat-icon>
                        </div>

                    </button>

                    <!-- <iframe
                    [src]="iframeSrc"
                    *ngIf="displayIFrame"
                    style="
                        height: 100%;
                        width: 100%;
                        z-index: 20;
                        position: absolute;
                        left: 50%;
                        top: 50%;
                        transform: translate(-50%, -50%);
                        border: 1px solid black;
                    "
                ></iframe> -->
                    <button mat-stroked-button (click)="selectedTab = 'tab1'" style="
                            border: 1px solid #bfd3ff;
                            border-radius: 0px !important;
                            display: unset !important;
                            height: 60px !important;
                        " class="mr-8 text-left">


                        <div class="flex items-center justify-between ">
                            <div class="flex items-center">
                                <mat-icon svgIcon="bgdIcon" style="
                                border: 2px solid #62B4FF;
                                border-radius: 15px !important;"></mat-icon>
                                <span class="ml-2.5 font-Semibold-16">Securities or company <br>Information </span>
                            </div>

                            <mat-icon class="font-0038ff text-right">keyboard_arrow_right</mat-icon>
                        </div>

                    </button>

                    <button mat-stroked-button (click)="selectedTab = 'tab1'" style="
                          border: 1px solid #bfd3ff;
                            border-radius: 0px !important;
                            display: unset !important;
                        " class="mr-8  text-left">


                        <div class="flex items-center justify-between ">
                            <div class="flex items-center">
                                <mat-icon svgIcon="bgdIcon" style="
                                border: 2px solid #62B4FF;
                                border-radius: 15px !important;"></mat-icon>
                                <span class="ml-2.5 font-Semibold-16">Technial Web <br>Navigation</span>
                            </div>

                            <mat-icon class="font-0038ff text-right">keyboard_arrow_right</mat-icon>
                        </div>

                    </button>
                </div>

                <!-- Content in button -->
                <!-- Item 1: About BGD -->
                <div [ngSwitch]="selectedTab">
                    <div *ngSwitchCase="'tab1'">
                        <div class="w-7/12 m-auto">
                            <div class="font-Semibold-24 font-333 py-2 flex text-center">
                                About Gold Dinar
                            </div>
                            <cdk-accordion class="item1Accordion">
                                <cdk-accordion-item *ngFor="
                                        let item of bgdFAQ;
                                        let index = index
                                    " #accordionItem="cdkAccordionItem" class="example-accordion-item" role="button"
                                    tabindex="0" [attr.id]="'accordion-header-' + index" [attr.aria-expanded]="
                                        accordionItem.expanded
                                    " [attr.aria-controls]="
                                        'accordion-body-' + index
                                    ">
                                    <div class="faq-accordion-item-header font-Semibold-16 font-333 pb-0"
                                        (click)="accordionItem.toggle()">
                                        {{ item }}
                                        <span class="faq-accordion-item-description">
                                            <mat-icon class="font-0038ff">
                                                {{
                                                accordionItem.expanded
                                                ? "expand_more"
                                                : "keyboard_arrow_right"
                                                }}
                                            </mat-icon>
                                        </span>
                                    </div>
                                    <div class="faq-accordion-item-body pt-0 font-Regular-16 font-7B7B7B" role="region"
                                        [style.display]="
                                            accordionItem.expanded ? '' : 'none'
                                        " [attr.id]="'accordion-body-' + index" [attr.aria-labelledby]="
                                            'accordion-header-' + index
                                        ">
                                        Lorem ipsum dolor sit amet, consectetur
                                        adipiscing elit.
                                    </div>
                                </cdk-accordion-item>
                            </cdk-accordion>

                            <br />
                            <br />
                            <br />
                        </div>
                    </div>
                </div>
            </div>

            <div class="w-7/12 m-auto">
                <div class="font-Semibold-24 font-333 py-2 flex text-center">
                    Top Questions
                </div>
                <!-- <br />
            <div class="text-left font-semibold text-lg py-2">
                How do i add a payment method?
            </div>
            <div class="text-left font-semibold text-lg py-2">
                How do i change the delivery address?
            </div>
            <div class="text-left font-semibold text-lg py-2">
                How do i upgrade my free account?
            </div> -->
                <cdk-accordion class="faqAccordion">
                    <cdk-accordion-item *ngFor="let item of items; let index = index" #accordionItem="cdkAccordionItem"
                        class="example-accordion-item" role="button" tabindex="0"
                        [attr.id]="'accordion-header-' + index" [attr.aria-expanded]="accordionItem.expanded"
                        [attr.aria-controls]="'accordion-body-' + index">
                        <div class="faq-accordion-item-header font-Semibold-16 font-333 pb-0"
                            (click)="accordionItem.toggle()">
                            {{ item }}
                            <span class="faq-accordion-item-description">
                                <mat-icon class="font-0038ff">
                                    {{
                                    accordionItem.expanded
                                    ? "expand_more"
                                    : "keyboard_arrow_right"
                                    }}
                                </mat-icon>
                            </span>
                        </div>
                        <div class="faq-accordion-item-body pt-0 font-Regular-16 font-7B7B7B" role="region"
                            [style.display]="
                                accordionItem.expanded ? '' : 'none'
                            " [attr.id]="'accordion-body-' + index"
                            [attr.aria-labelledby]="'accordion-header-' + index">
                            Lorem ipsum dolor sit amet, consectetur adipiscing
                            elit.
                        </div>
                    </cdk-accordion-item>
                </cdk-accordion>

                <br />
                <br />
                <br />
            </div>
        </div>
    </div>
</div>